# Locations Data

Locations Hub - Locations Data

## Get the available amenities (Google Lodging) fields for a location

 - [GET /locations/available-lodging-fields](https://docs.uberall.com/apis/swagger/locations-data/get_locations_available_lodging_fields.md): Get the list of all available amenities (Google Lodging) fields.

## Get the city for locations

 - [GET /locations/cities](https://docs.uberall.com/apis/swagger/locations-data/get_locations_cities.md): Get the location's city

## Get the country for locations

 - [GET /locations/countries](https://docs.uberall.com/apis/swagger/locations-data/get_locations_countries.md): Get the country for each location

## Get Several Locations

 - [GET /locations](https://docs.uberall.com/apis/swagger/locations-data/get_locations.md): Get locations managed by the current API user. Some fields are omitted (such as paymentOptions and services). For a full list use the GET/api/locations/$id endpoint.

## Create a Location

 - [POST /locations](https://docs.uberall.com/apis/swagger/locations-data/post_locations.md): Create a location and add it to an existing business

## Delete Several Locations

 - [DELETE /locations](https://docs.uberall.com/apis/swagger/locations-data/delete_locations.md): Delete several locations identified by their uberall unique ids. 
Locations can be deleted only if they are inactivated (status = INACTIVE) and are no longer billed (endDate < now).

## Update Several Locations

 - [PATCH /locations](https://docs.uberall.com/apis/swagger/locations-data/patch_locations.md): Make changes to a list of locations. Any blank parameter deletes an old value, any unspecified parameter does nothing
            
Caution! Changing the Location Name, Country, Street, ZIP, City, Province, Phone Number, or Primary Business Category
            may cause your listings to become unverified on Google, which could temporarily impact your visibility.

## Get the directories for locations

 - [GET /locations/directories](https://docs.uberall.com/apis/swagger/locations-data/get_locations_directories.md): Get the directories for a location

## Get a Location

 - [GET /locations/{id}](https://docs.uberall.com/apis/swagger/locations-data/get_locations_id.md): Get all information about a specific location, including listing statuses

## Update a Location

 - [PATCH /locations/{id}](https://docs.uberall.com/apis/swagger/locations-data/patch_locations_id.md): Make changes to a location. Any blank parameter deletes an old value; any unspecified parameter is left unchanged.
                            
Caution! Changing the Location Name, Country, Street, ZIP, City, Province, Phone Number, or Primary Business Category
                            may cause your listings to become unverified on Google, which could temporarily impact your visibility.

## Get a list of basic business details

 - [GET /locations/businesses](https://docs.uberall.com/apis/swagger/locations-data/get_locations_businesses.md): Get a list of basic business details containing "id" and "name", that can be viewed by the current user.

## Get the keywords for locations

 - [GET /locations/keywords](https://docs.uberall.com/apis/swagger/locations-data/get_locations_keywords.md): Get the keywords for locations

## Get Historical Visibility Index

 - [GET /locations/{id}/visibility-indexes/interesting](https://docs.uberall.com/apis/swagger/locations-data/get_locations_id_visibility_indexes_interesting.md): Get a Visibility Index time series. Only days where the Visibility Index changed will be returned

## Get the labels for locations

 - [GET /locations/labels](https://docs.uberall.com/apis/swagger/locations-data/get_locations_labels.md): Get the labels assigned to a location

## Get the post / zip code for locations

 - [GET /locations/postcodes](https://docs.uberall.com/apis/swagger/locations-data/get_locations_postcodes.md): Get the post / zip code assigned to a location

## Get the province/state for locations

 - [GET /locations/provinces](https://docs.uberall.com/apis/swagger/locations-data/get_locations_provinces.md): Get a list of provinces/states, for locations available to the user, with filtering on businesses, countries, or a search text

## Get Locations' Statistics

 - [GET /locations/statistics](https://docs.uberall.com/apis/swagger/locations-data/get_locations_statistics.md): Get statistics about the locations the current user is managing: total and breakdown by status

## Sync a Location

 - [POST /locations/{id}/sync](https://docs.uberall.com/apis/swagger/locations-data/post_locations_id_sync.md): Start a sync on all directories for a specific location

## Sync Several Locations

 - [POST /locations/sync](https://docs.uberall.com/apis/swagger/locations-data/post_locations_sync.md): Start a sync on all directories for several locations identified by their unique uberall id

## Update EV Dynamic Data

 - [PATCH /locations/{id}/ev-data/{uid}](https://docs.uberall.com/apis/swagger/locations-data/patch_locations_id_ev_data_uid.md): Update EV Charging data for a given EV Charging Station.

## Get Location's Visibility Index

 - [GET /locations/{id}/visibility-indexes](https://docs.uberall.com/apis/swagger/locations-data/get_locations_id_visibility_indexes.md): Get the latest location's visibility index

## DEPRECATED - Get Location's Data Points (deprecated)

 - [GET /locations/{id}/datapoints](https://docs.uberall.com/apis/swagger/locations-data/get_locations_id_datapoints.md): Deprecated. Use https://uberall.com/en/developers/apiDocumentation#_api_data-points-GET instead.

## DEPRECATED - Get Location's Data Point Statistics (deprecated)

 - [GET /locations/{id}/datapoints/statistics](https://docs.uberall.com/apis/swagger/locations-data/get_locations_id_datapoints_statistics.md): Deprecated. Use https://uberall.com/en/developers/apiDocumentation#_api_data-points_statistics-GET instead.

## Get a Location's Dashboard (deprecated)

 - [GET /locations/{id}/dashboard](https://docs.uberall.com/apis/swagger/locations-data/get_locations_id_dashboard.md): Get all necessary information to build a location's dashboard

